TRSP(8)

NAME
trsp - transliterate sequenced packet protocol trace

SYNOPSIS
trsp [-a] [-j] [-p hex-address] [-s] [-t] [-z] [-N system] [-M core]

DESCRIPTION
trsp interrogates the buffer of SPP trace records created when a socket is marked for “debugging” (see setsockopt(2)), and prints a readable description of these records. When no options are supplied, trsp prints all the trace records found in the system grouped according to SPP connection protocol control block (PCB). The following options may be used to alter this behavior.

-a  In addition to the normal output, print the values of the source and destination addresses for each packet recorded.

-j  Just give a list of the protocol control block addresses for which there are trace records.

-p  Show only trace records associated with the protocol control block at the given address hex-address.

-s  In addition to the normal output, print a detailed description of the packet sequencing information.

-t  In addition to the normal output, print the values for all timers at each point in the trace.

-z  Clear the in-kernel debugging buffers.

-M core
    Extract values associated with the name list from core instead of the default /dev/kmem.

-N system
    Extract the name list from system instead of the default /netbsd.

The recommended use of trsp is as follows. Isolate the problem and enable debugging on the socket(s) involved in the connection. Find the address of the protocol control blocks associated with the sockets using the -A option to netstat(1). Then run trsp with the -p option, supplying the associated protocol control block addresses. If there are many sockets using the debugging option, the -j option may be useful in checking to see if any trace records are present for the socket in question.

FILES
/dev/kmem
    default kernel memory
/netbsd
    default system namelist

SEE ALSO
netstat(1), setsockopt(2), trpt(8)

DIAGNOSTICS

no namelist
    When the system image doesn't contain the proper symbols to find the trace buffer; others which should be self explanatory.

BUGS
Should also print the data for each input or output, but this is not saved in the trace record.

The output format is inscrutable and should be described here.

HISTORY
The trsp command appeared in 4.3BSD.